UberInterceptorMetaClass (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.griffon.runtime.builder
[Groovy] Class UberInterceptorMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass
          org.codehaus.griffon.runtime.builder.UberInterceptorMetaClass

    class UberInterceptorMetaClass
    extends DelegatingMetaClass

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static org.slf4j.Logger` | `LOG`

Property Summary
`UberBuilder` | `factory`

Constructor Summary
`UberInterceptorMetaClass(MetaClass delegate, UberBuilder factory)`

Method Summary
`private Object` | `doInvokeInstanceMethod(Object object, String methodName, Object arguments)`
`private Object` | `doInvokeInstanceMethod(Object object, String methodName, Object[] arguments)`
`private Object` | `doInvokeStaticMethod(Object object, String methodName, Object[] arguments)`
`private void` | `exceptionIfMethodNotFound(String methodName, MissingMethodException mme)`
`Object` | `getProperty(Object o, String s)`
`private Object` | `invokeFactoryMethod(String methodName, Object arguments, MissingMethodException mme)`
`private Object` | `invokeFactoryMethod(String methodName, Object[] arguments, MissingMethodException mme)`
`Object` | `invokeMethod(Object object, String methodName, Object arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object[] arguments)`
`Object` | `invokeStaticMethod(Object object, String methodName, Object[] arguments)`
`void` | `setProperty(Object o, String s, Object o1)`

Methods inherited from class DelegatingMetaClass
setProperty, setProperty, setProperty, getProperty, getProperty, getProperty, equals, toString, hashCode, getMethods, getProperties, initialize, getAttribute, getAttribute, setAttribute, setAttribute, getMetaClass, setMetaClass, invokeMethod, invokeMethod, invokeMethod, invokeMethod, hasProperty, getTheClass, invokeMissingMethod, invokeMissingProperty, getClassNode, getMetaMethods, selectConstructorAndTransformArguments, pickMethod, respondsTo, respondsTo, getMetaProperty, getStaticMetaMethod, getStaticMetaMethod, getMetaMethod, invokeConstructor, invokeStaticMethod, getAdaptee, setAdaptee, addMetaBeanProperty, isModified, isGroovyObject, addNewInstanceMethod, addNewStaticMethod, addMetaMethod, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

Property Detail

### factory

    UberBuilder factory

Constructor Detail

### UberInterceptorMetaClass

    UberInterceptorMetaClass(MetaClass delegate, UberBuilder factory)

Method Detail

### doInvokeInstanceMethod

    private Object doInvokeInstanceMethod(Object object, String methodName, Object arguments)

### doInvokeInstanceMethod

    private Object doInvokeInstanceMethod(Object object, String methodName, Object[] arguments)

### doInvokeStaticMethod

    private Object doInvokeStaticMethod(Object object, String methodName, Object[] arguments)

### exceptionIfMethodNotFound

    private void exceptionIfMethodNotFound(String methodName, MissingMethodException mme)

### getProperty

    Object getProperty(Object o, String s)

### invokeFactoryMethod

    private Object invokeFactoryMethod(String methodName, Object arguments, MissingMethodException mme)

### invokeFactoryMethod

    private Object invokeFactoryMethod(String methodName, Object[] arguments, MissingMethodException mme)

### invokeMethod

    Object invokeMethod(Object object, String methodName, Object arguments)

### invokeMethod

    Object invokeMethod(Object object, String methodName, Object[] arguments)

### invokeStaticMethod

    Object invokeStaticMethod(Object object, String methodName, Object[] arguments)

### setProperty

    void setProperty(Object o, String s, Object o1)

Groovy Documentation